Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.jaxp
Class DocumentBuilderImpl

    java.lang.Object
      |
      +--javax.xml.parsers.DocumentBuilder
            |
            +--weblogic.apache.xerces.jaxp.DocumentBuilderImpl

public class DocumentBuilderImpl
extends javax.xml.parsers.DocumentBuilder

The `DocumentBuilder` implementation for the Apache Xerces XML parser.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.2 $ $Date: 2000/06/09 17:03:45 $
Author:
  Pierpaolo Fumagalli (Apache Software Foundation, Exoffice Technologies)
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`protected` | `DocumentBuilderImpl(boolean namespaces, boolean validation)` Create a new `SAXParserFactoryImpl` instance.

Method Summary
`boolean` | `isNamespaceAware()` Returns whether or not this parser supports XML namespaces.
`boolean` | `isValidating()` Returns whether or not this parser supports validating XML content.
`org.w3c.dom.Document` | `newDocument()` Creates an new `Document` instance from the underlying DOM implementation.
`org.w3c.dom.Document` | `parse(org.xml.sax.InputSource source)` Parses the content of the given `InputSource` and returns a `Document` object.
`void` | `setEntityResolver(org.xml.sax.EntityResolver er)` Specifies the `EntityResolver` to be used by this `DocumentBuilderImpl`.
`void` | `setErrorHandler(org.xml.sax.ErrorHandler eh)` Specifies the `ErrorHandler` to be used by this `DocumentBuilderImpl`.

Methods inherited from class javax.xml.parsers.DocumentBuilder
`parse, parse, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentBuilderImpl

    protected DocumentBuilderImpl(boolean namespaces,
                                  boolean validation)
                           throws javax.xml.parsers.ParserConfigurationException

  Create a new `SAXParserFactoryImpl` instance.

Method Detail

### parse

    public org.w3c.dom.Document parse(org.xml.sax.InputSource source)
                               throws org.xml.sax.SAXException,
                                      java.io.IOException,
                                      java.lang.IllegalArgumentException

  Parses the content of the given `InputSource` and returns a `Document` object.

  Overrides:
    parse in class javax.xml.parsers.DocumentBuilder

### newDocument

    public org.w3c.dom.Document newDocument()

  Creates an new `Document` instance from the underlying DOM implementation.

  Overrides:
    newDocument in class javax.xml.parsers.DocumentBuilder

### isNamespaceAware

    public boolean isNamespaceAware()

  Returns whether or not this parser supports XML namespaces.

  Overrides:
    isNamespaceAware in class javax.xml.parsers.DocumentBuilder

### isValidating

    public boolean isValidating()

  Returns whether or not this parser supports validating XML content.

  Overrides:
    isValidating in class javax.xml.parsers.DocumentBuilder

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver er)

  Specifies the `EntityResolver` to be used by this `DocumentBuilderImpl`.

  Overrides:
    setEntityResolver in class javax.xml.parsers.DocumentBuilder

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler eh)

  Specifies the `ErrorHandler` to be used by this `DocumentBuilderImpl`.

  Overrides:
    setErrorHandler in class javax.xml.parsers.DocumentBuilder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD